Keystone error in openstack installation using newton guide

asked 2017-02-22 12:02:50 -0500

ch555 gravatar image

I'm usingopenstack newton guide to install openstack. When I do this command: keystone-manage credential_setup --keystone-user keystone --keystone-group keystone , i get an error keystone manage error invalid choice credential setup choose from db_sync,db_version etc. I have keystone 9.2.0, how to solve this.

edit retag flag offensive close merge delete

Comments

On my Newton installation, I get

$ keystone-manage --version
10.0.2

It seems you installed the Mitaka version.

Bernd Bausch gravatar imageBernd Bausch ( 2017-02-22 17:42:00 -0500 )edit

how do you install that? i just followed what was gn, apt install keystone. which command did you use to get 10.0.2

ch555 gravatar imagech555 ( 2017-02-22 19:17:00 -0500 )edit

Personally, I used Packstack to provision my cloud. Perhaps something is wrong with your repository setup?

Bernd Bausch gravatar imageBernd Bausch ( 2017-02-22 20:35:54 -0500 )edit